package com.ruoyi.web.work.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.work.domain.Project;
import com.ruoyi.web.work.domain.dto.ProjectChangeDto;
import com.ruoyi.web.work.domain.dto.ProjectDto;
import com.ruoyi.web.work.domain.vo.ProjectListVo;

import java.rmi.ServerException;
import java.util.List;

/**
 * @author lsw
 * @date 2024-04-15
 */
public interface IProjectService extends IService<Project>{
    List<Project> selectList(Project project);

    List<ProjectListVo> selectProjectList(Project project);

    AjaxResult add(Project project) throws ServerException;

    AjaxResult edit(ProjectDto dto) throws ServerException;

    AjaxResult change(ProjectChangeDto dto) throws ServerException;
}
